Bug 91081 - bails out after checking packages to be upgraded
bails out after checking packages to be upgraded
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-17 11:10 EDT by Henk van Velden
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-23 12:23:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henk van Velden 2003-05-17 11:10:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
Upgrade from Red Hat Linux 7.1 to 8.0
Laste seen: determining what packages to upgrade (or something like that)
On the screen:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 694, in ?
    intf.run(id, diapatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 446, in run
    dispatch.gotoNext()


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.boot from Red Hat 8.0 CD ROM
2.go through several questions, among them I choose for Upgrade, No change on swapspace, reinstall GRUB (was LILO)
3.wait for check on packages to upgrade
    

Actual Results:  Anaconde reported an error (see above)

Expected Results:  Installing packages

Additional info:
Comment 1 Michael Fulbright 2003-05-19 15:30:52 EDT
How much RAM and swap do you have configured on your installed Linux system?
Comment 2 Henk van Velden 2003-05-20 15:22:39 EDT
The system has 32 Kbytes RAM. Swap is 66 Kbytes. The finding out of Wich packages to update gave a huge amount of disk access. I was already afraid that swapping was taking place during this action. Total disk spave is a little less than 1 Gbytes. /boot is almost 6 Mbytes. / is about 980 Mbytes. The system in fact acts only as an X-terminal and does not need much software ( / is about 60% filled). When you think I need more swapspace, is it possible to shrink / or do I have to delete it? 
Comment 3 Michael Fulbright 2003-05-22 12:02:41 EDT
The minimum RAM for installation is 64MB. We recommend 128MB. You will want to
make your '/' at least 650MB for a minimum install, and you will need at least
128MB of swap. Your /boot should be at least 50MB, but 100MB is better.
Comment 4 Henk van Velden 2003-05-22 15:43:06 EDT
When this means that Anaconda quits on having not enough swapspace I will  
think it  
over. Either I will try again with more swap or I stick to version 7.  
Thanks for your information. 

Note You need to log in before you can comment on or make changes to this bug.